> ## Documentation Index
> Fetch the complete documentation index at: https://docs.firecrawl.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# ドキュメント検索

> 公開ドキュメントコーパスを使って、Firecrawlのドキュメントに関する質問に回答します。

`/support/docs-search` エンドポイントは、Firecrawl の公開ドキュメントに基づいて質問に回答します。Firecrawl APIキーが必要です。関連するドキュメントページへの引用付きで、簡潔な回答を返します。

<div id="use-cases">
  ## ユースケース
</div>

* **AIエージェント**：Firecrawl APIの使い方、パラメータ、ベストプラクティスを調べる必要がある場合
* **サポートボット**：ドキュメントをもとに顧客からの質問に回答する場合
* **開発ツール**：関連ドキュメントをインラインで表示する場合

<div id="example">
  ## 例
</div>

```bash theme={null}
curl -X POST https://api.firecrawl.dev/v2/support/docs-search \
  -H "Authorization: Bearer fc-YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "question": "what header carries the webhook signature, and how do I verify it?"
  }'
```

<div id="response">
  ### レスポンス
</div>

```json theme={null}
{
  "requestId": "req_...",
  "answer": "The signature is sent in the X-Firecrawl-Signature header...",
  "evidence": [
    {
      "pathOrUrl": "webhooks/security.mdx#L1-L52",
      "reason": "Documents webhook signature verification"
    }
  ],
  "usage": { "inputTokens": 4356, "outputTokens": 688, "totalTokens": 5044 },
  "durationMs": 11252
}
```

<div id="response-fields">
  ## レスポンスフィールド
</div>

| フィールド        | 型       | 説明                                                   |
| ------------ | ------- | ---------------------------------------------------- |
| `answer`     | string  | Firecrawl のドキュメントに基づく簡潔な回答                           |
| `evidence`   | array   | 参照したドキュメントページ。`pathOrUrl` と `reason` を含みます           |
| `usage`      | object  | トークン使用量 (`inputTokens`、`outputTokens`、`totalTokens`) |
| `durationMs` | integer | 合計実行時間 (ミリ秒)                                         |

機能の詳細なガイドについては、[Ask 機能のドキュメント](/ja/features/ask)を参照してください。

> Firecrawl APIキーが必要な AI エージェントですか？ 自動オンボーディング手順については、[firecrawl.dev/agent-onboarding/SKILL.md](https://www.firecrawl.dev/agent-onboarding/SKILL.md)を参照してください。


## OpenAPI

````yaml ja/api-reference/v2-openapi.json POST /support/docs-search
openapi: 3.0.0
info:
  contact:
    email: support@firecrawl.dev
    name: Firecrawl Support
    url: https://firecrawl.dev/support
  description: Firecrawlのサービスを利用して、Webスクレイピングやクロールを行うためのAPIです。
  title: Firecrawl API
  version: v2
servers:
  - url: https://api.firecrawl.dev/v2
security:
  - bearerAuth: []
paths:
  /support/docs-search:
    post:
      tags:
        - Support
      summary: 引用付きでFirecrawlドキュメントを検索
      description: 公開ドキュメントコーパスを使って、Firecrawlのドキュメントに関する質問に回答します。
      operationId: searchSupportDocs
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/SupportDocsSearchRequest'
        required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportDocsSearchResponse'
          description: ドキュメントに基づく回答
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportProxyErrorResponse'
          description: 無効なリクエスト
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportProxyErrorResponse'
          description: Bearerトークンがないか、無効です
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportProxyErrorResponse'
          description: サポートエージェントは利用できません
        '504':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SupportProxyErrorResponse'
          description: サポートエージェントがタイムアウトしました
      security:
        - bearerAuth: []
components:
  schemas:
    SupportDocsSearchRequest:
      properties:
        question:
          description: 回答対象のドキュメントに関する質問。
          type: string
      required:
        - question
      type: object
    SupportDocsSearchResponse:
      properties:
        answer:
          description: Firecrawl のドキュメントに基づく簡潔な回答。
          type: string
        durationMs:
          description: docs-search の合計実行時間（ミリ秒）。
          type: integer
        evidence:
          items:
            properties:
              pathOrUrl:
                type: string
              reason:
                type: string
            type: object
          type: array
        requestId:
          type: string
        usage:
          properties:
            inputTokens:
              type: integer
            outputTokens:
              type: integer
            totalTokens:
              type: integer
          type: object
      type: object
    SupportProxyErrorResponse:
      properties:
        error:
          description: サポート用プロキシまたは上流のエラーコード。
          type: string
      type: object
  securitySchemes:
    bearerAuth:
      scheme: bearer
      type: http

````